function [] = plot_multiple()
close all
foldername = {'BO_1_1_1_1_1','BO_3_4_11_11_20','BO_1_7_1_21_1','BO_1_1_1_21_1','BO_1_1_4_21_1','BO_1_2_2_21_1'};
target = [0 0.1];
iteration = [1,2,12,14,15,25];
fitness = [0.3326,4.2319,12.2024,20.0654,23.2581,31.7439];

figure
% subplot(3,6,[1:6])
plot(iteration,fitness,':o','MarkerSize',10)
title('Best fitness')
xlabel('Suggestion number [-]')
ylabel('Fitness [-]')
grid on

figure
for j = 1:length(foldername)
    %% Import
    input = [];
    output = [];
    for i = 1:50
        load(strcat(foldername{j},'\training_set_',num2str(i)));
        input = [input;data.dx data.dy data.dYaw];
        output = [output;data.t data.A1 data.phi1 data.phi2];
    end

%     fprintf('The mean is %0.2f cm in x, %0.2f cm in y and %0.2f in theta.\n',...
%         mean(input(:,1))*100,mean(input(:,2))*100,mean(input(:,3))/pi*180)

    %% Plot
%     a = {7:8,9:10,11:12,13:14,15:16,17:18};
%     subplot(2,3,j)
%     x = input(:,1)*100;
%     y = input(:,2)*100;
%     u = -sin(input(:,3));
%     v = cos(input(:,3));
%     hold on
%     quiver(x,y,u,v)
%     plot(target(1),target(2)*100,'rx','MarkerSize',10,'LineWidth',2)
% %     plot(mean(x),mean(y),'o')
%     hold off
%     axis([-20 20 -20 20])
%     axis('square')
%     grid on
%     if j == 1 || j == 4
%         ylabel('dy [cm]')
%     elseif j == 4 || j == 5 || j == 6
%         xlabel('dx [cm]')
%     end
% %     legend('Locomotion','Target','Mean','Location','SouthWest')
    figure
    x = input(:,1)*100;
    y = input(:,2)*100;
    u = -sin(input(:,3));
    v = cos(input(:,3));
    hold on
    quiver(x,y,u,v,2)
    plot(target(1),target(2)*100,'rx','MarkerSize',15,'LineWidth',2)
%     plot(mean(x),mean(y),'o')
    hold off
    title(sprintf('Iteration #: %d, Fitness: %0.4f',iteration(j),fitness(j)))
    axis([-20 20 -20 20])
    axis('square')
    grid on
    if j == 1 || j == 3 || j == 5
        ylabel('dy [cm]')
    end
    if j == 5 || j == 6
        xlabel('dx [cm]')
    end
    if j == 1
        legend('Locomotion','Target','Location','NorthWest')
    end

end